Main Page | Modules | Data Structures | Directories | File List | Data Fields | Globals

# filesys.h File Reference

Simple file system for embedded devices. More...

`#include "sys.h"`

Go to the source code of this file.

## Data Structures
struct | fsys_time
struct | fsys_stat
struct | fsys_finddata
## Defines
#define | HAVE_EMBEDDED_FILESYSTEM 1
#define | FS_MAXFILES 10
#define | FS_STANDARD_API 0
#define | FS_SUBDIRECTORIES 1
#define | FS_MAXFNAMELEN 256
#define | FSO_RDWR 0x000
#define | FSO_RDONLY 0x001
#define | FSO_WRONLY 0x002
#define | FSO_CREAT 0x004
#define | FSO_TRUNC 0x008
#define | FSO_SEQUENTIAL 0x000
#define | FSO_RANDOM 0x010
#define | FSO_BINARY 0x000
#define | FSO_TEXT 0x020
#define | FSO_EXCL 0x040
#define | FSO_APPEND 0x080
#define | FSS_IFMT 0x00170000
#define | FSS_IFDIR 0x00040000
#define | FSS_IFCHR 0x00020000
#define | FSS_IFIFO 0x00010000
#define | FSS_IFREG 0x00100000
#define | FSS_IREAD 0x00000400
#define | FSS_IWRITE 0x00000200
#define | FSS_IEXEC 0x00000100
#define | FSA_NORMAL 0x00
#define | FSA_RDONLY 0x01
#define | FSA_HIDDEN 0x02
#define | FSA_SYSTEM 0x04
#define | FSA_SUBDIR 0x08
#define | FSA_ARCH 0x10
#define | FSSEEK_SET 0
#define | FSSEEK_CUR 1
#define | FSSEEK_END 2
## Functions
sint_t | fsys_open (const char *filename, const sint_t mode)
sint_t | fsys_opent (char *filename, const sint_t mode)
void | fsys_close (const sint_t file)
sint_t | fsys_write (const sint_t file, const char *buf, const sint_t count)
sint_t | fsys_read (const sint_t file, const char *buf, const sint_t count)
sint_t | fsys_eof (const sint_t file)
sint_t | fsys_seek (const sint_t file, const sint_t position, const sint_t origin)
sint_t | fsys_tell (const sint_t file)
sint_t | fsys_stat (const char *fname, struct fsys_stat *stat)
sint_t | fsys_findfirst (char *filespec, struct fsys_finddata *fileinfo)
sint_t | fsys_findnext (sint_t handle, struct fsys_finddata *fileinfo)
sint_t | fsys_findclose (sint_t handle)
sint_t | fsys_remove (const char *filename)
sint_t | fsys_rename (const char *from, const char *to)
sint_t | fsys_replace (const char *oldfile, const char *newfile)
sint_t | fsys_mkdir (const char *pathname)
sint_t | fsys_rmdir (const char *pathname)
sint_t | fsys_buildPathName (char *outbuf, const char *pathname, const char *filename)
sint_t | fsys_format (u32_t blocksize, u32_t maxFilenameLength)
u32_t | fsys_free (void)
u32_t | fsys_shrinkImage (void *image)
sint_t | fsys_addDriveImage (void *img, sint_t readonly)
sint_t | fsys_init (u32_t size, u32_t blocksize, u32_t maxFilenameLength)
sint_t | fsys_term (void)
void * | fsys_lockAndGetImage (u32_t *size)
void | fsys_unlockImage (void)

## Detailed Description

Author:
  Dennis Kuschel

This software is from http://mycpu.mikrocontroller.net. Please send questions and bug reports to dennis_k@freenet.de.

## Define Documentation

#define HAVE_EMBEDDED_FILESYSTEM 1